package com.xilinx.sdk.terminal;

import org.eclipse.core.runtime.preferences.IEclipsePreferences;
import org.eclipse.core.runtime.preferences.InstanceScope;
import org.osgi.service.prefs.BackingStoreException;

public class TerminalUtils {
	
	private static final String pluginString = "com.sdk";
	
	public static final String NODE_TERMINAL = pluginString +"terminal";
	
	public static final String SERIALPORT_KEY = "Last selected port:";
	
	public static void setGlobalValue(String key, String Value) {

		IEclipsePreferences myScope = InstanceScope.INSTANCE.getNode(NODE_TERMINAL);
		myScope.put(key, Value);
			try {
			    myScope.flush();
			} catch (BackingStoreException e) {
			    e.printStackTrace();
			}
	    }
	
	public static String getGlobalString(String key, String defaultValue) {
		IEclipsePreferences myScope = InstanceScope.INSTANCE.getNode(NODE_TERMINAL);
		return myScope.get(key, defaultValue);
    }
}

// XSIP watermark, do not delete 67d7842dbbe25473c3c32b93c0da8047785f30d78e8a024de1b57352245f9689
